# $Revision: 1.35 $, $Date: 2011/01/23 11:02:33 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Translation2
Summary:	%{_pearname} - class for multilingual applications management
Summary(pl.UTF-8):	%{_pearname} - klasa do zarządzania wersjami językowymi aplikacji
Name:		php-pear-%{_pearname}
Version:	2.0.4
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	40dde8c51d7edaa443b339444b999941
URL:		http://pear.php.net/package/Translation2/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Suggests:	php-gettext
Suggests:	php-pear-Cache_Lite
Suggests:	php-pear-DB
Suggests:	php-pear-DB_DataObject
Suggests:	php-pear-File_Gettext
Suggests:	php-pear-I18Nv2
Suggests:	php-pear-MDB
Suggests:	php-pear-MDB2
Suggests:	php-pear-XML_Serializer
Obsoletes:	php-pear-Translation2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Cache/Lite.*) pear(DB.*) pear(DB/DataObject.*) pear(MDB.*) pear(MDB2.*) pear(gettext.*) pear(File/Gettext.*) pear(I18Nv2.*) pear(XML/Serializer.*)

%description
This class provides an easy way to retrieve all the strings for a
multilingual site from a data source (i.e. db). A PEAR::DB and a
PEAR::MDB container are provided, more containers will follow. It is
designed to reduce the number of queries to the db, caching the
results when possible. An Admin class is provided to easily manage
translations (add/remove a language, add/remove a string).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa dostarcza łatwego w użyciu sposobu do wydobywania ciągów
znaków dla stron wielojęzycznych z podanego źródła danych (np. bazy
danych). Na chwilę obecną dostępne są kontenery PEAR::DB oraz
PEAR::MDB - inne będą dostępne w niedalekiej przyszłości. Klasa
została zaprojektowana tak, aby ograniczać liczbę zapytań do bazy
danych, oraz buforowania wyników o ile jest to możliwe. Za pomocą
klasy Admin możliwe jest łatwe i wygodne zarządzanie tłumaczeniami
(dodawanie/usuwanie języków bądź poszczególnych tłumaczeń).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv docs/%{_pearname}/docs/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Translation2.php
%{php_pear_dir}/Translation2

%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Translation2.spec,v $
Revision 1.35  2011/01/23 11:02:33  glen
- up to 2.0.4

Revision 1.34  2011/01/23 01:22:35  sparky
- tests are no longer installed - don't try to remove them

Revision 1.33  2010/11/16 13:42:05  glen
- fix install dir

Revision 1.32  2010/11/16 12:46:55  glen
- up to 2.0.3

Revision 1.31  2010/08/21 19:08:34  glen
- updated deps with pearize.sh
- release 2

Revision 1.30  2008/12/27 01:04:19  adamg
- updated to 2.0.1

Revision 1.29  2008-05-17 19:26:36  adamg
- updated to 2.0.0 (stable)

Revision 1.28  2008-01-31 12:16:11  glen
- rel 2

Revision 1.27  2007-12-06 10:05:27  adamg
- updated to 2.0.0RC3

Revision 1.26  2007-11-26 19:48:09  adamg
- updated to 2.0.0RC2

Revision 1.25  2007/08/22 20:31:26  adamg
- updated to 2.0.0RC1

Revision 1.24  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.22  2006/12/30 10:30:28  adamg
- updated to 2.0.0beta12

Revision 1.21  2006/09/07 09:45:20  adamg
- updated to 2.0beta11

Revision 1.20  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.19  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.18  2006/04/02 12:03:15  glen
- 2.0.0beta9

Revision 1.17  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.14  2005/10/27 19:11:41  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.13  2005/10/06 19:01:23  glen
- updated to 2.0.0 beta8

Revision 1.12  2005/09/30 18:44:00  glen
- new pear packaging; complete files; rel 2

Revision 1.11  2005/02/05 19:34:41  adamg
- updated to 2.0.0beta6

Revision 1.10  2004/12/24 12:10:25  adamg
- updated to 2.0.0beta5

Revision 1.9  2004/12/05 12:16:15  adamg
- install Translation2.php in %{php_pear_dir}, not in %{php_pear_dir}/Translation2
- release .2

Revision 1.8  2004/12/05 10:56:32  adamg
- release 0.beta4.1

Revision 1.7  2004/11/20 17:39:29  adamg
- updated to 2.0.0beta4

Revision 1.6  2004/05/30 13:13:53  adamg
- fixed english information about status of the package

Revision 1.5  2004/05/07 07:11:36  adamg
- updated to 2.0.0beta1

Revision 1.4  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.3  2004/02/23 19:04:25  adamg
- updated to 2.0.0alpha2

Revision 1.2  2004/02/02 19:22:02  qboosh
- pl fix, wrapping

Revision 1.1  2004/02/01 21:45:22  adamg
- initial import
